import { GactHistory, Location } from "@gact/history";
import { ReactStore } from "@gact/react-store";
import { PathFor, StoreValue } from "@gact/store";
import React, { CSSProperties } from "react";
import { HistoryState } from "./types";
declare type Props<HS extends HistoryState = HistoryState> = {
    href: string;
    state?: HS;
    replace?: boolean;
    children: React.ReactNode;
    activeClassName?: string;
    activeStyle?: CSSProperties;
    onClick?: (e: React.MouseEvent<HTMLAnchorElement>) => void;
} & React.AnchorHTMLAttributes<HTMLAnchorElement> & React.HTMLAttributes<HTMLAnchorElement> & React.RefAttributes<HTMLAnchorElement>;
/**
 * Provides declarative navigation.
 *
 * @typeParam HS - the history state
 */
export declare type LinkType<HS extends HistoryState = HistoryState> = React.FunctionComponent<Props<HS>>;
/**
 * Creates a `Link` component.
 *
 * @typeParam S - the Gact store state
 * @typeParam HS - the history state
 */
export declare function createLink<S extends StoreValue>({ useValue, path, }: ReactStore<S>): <HS extends HistoryState = HistoryState>(locationPath: import("@gact/store/dist/types/types")._PathFor<S, Location<HS>>, history: GactHistory<HS>) => LinkType<HS>;
export {};
