import { ReactStore } from "@gact/react-store";
import { PathFor, StoreValue } from "@gact/store";
import React, { ReactNode } from "react";
import { HistoryState, Location } from "./types";
export declare type Props = {
    children: ReactNode;
    path: string | Array<string>;
    switchMatch?: boolean;
};
/**
 * Route enables you to condition renders on the current location.
 */
export declare type RouteType = React.FunctionComponent<Props>;
/**
 * Creates a `Route` component.
 *
 * @typeParam S - the Gact store state
 * @typeParam HS - the history state
 */
export declare function createRoute<S extends StoreValue>({ useValue }: ReactStore<S>): <HS extends HistoryState>(locationPath: import("@gact/store/dist/types/types")._PathFor<S, import("@gact/history").Location<HS>>) => RouteType;
