import { Location } from "@gact/history";
import { ReactStore } from "@gact/react-store";
import { PathFor, StoreRecord, StoreValue } from "@gact/store";
import React, { ReactElement } from "react";
import { Props as RouteProps, RouteType } from "./createRoute";
declare type Props = {
    children: Array<ReactElement<RouteProps, RouteType>>;
};
/**
 * Selects the best match (if any) among a collection of `Route`s.
 */
export declare type SwitchType = React.FunctionComponent<Props>;
/**
 * Creates a `Switch` component.
 *
 * @typeParam S - the Gact store state
 * @typeParam HS - the history state
 */
export declare function createSwitch<S extends StoreValue>({ path, useValue, }: ReactStore<S>): <HS extends StoreRecord | null>(locationPath: import("@gact/store/dist/types/types")._PathFor<S, Location<HS>>, Route: RouteType) => SwitchType;
export {};
