import { ReactStore } from "@gact/react-store";
import { PathFor, StoreValue } from "@gact/store";
import { HistoryState, Location, PathParams } from "./types";
/**
 * Enables you to extract values from a path.
 */
export declare type UsePathParams = (path: string) => PathParams;
/**
 * Creates a `usePathParams` hook.
 *
 * @typeParam S - the Gact store state
 * @typeParam HS - the history state
 */
export declare function createUsePathParams<S extends StoreValue>({ useValue, }: ReactStore<S>): <HS extends HistoryState = HistoryState>(locationPath: import("@gact/store/dist/types/types")._PathFor<S, import("@gact/history").Location<HS>>) => UsePathParams;
