import { ReactStore } from "@gact/react-store";
import { PathFor, StoreValue } from "@gact/store";
import { HistoryState, Location } from "./types";
/**
 * Provides the current URLSearchParams.
 */
export declare type UseSearchParams = () => URLSearchParams;
/**
 * Creates a `useSearchParams` hook.
 *
 * @typeParam S - the Gact store state
 * @typeParam HS - the history state
 */
export declare function createUseSearchParams<S extends StoreValue>({ path, useValue, }: ReactStore<S>): <HS extends HistoryState = HistoryState>(locationPath: import("@gact/store/dist/types/types")._PathFor<S, import("@gact/history").Location<HS>>) => UseSearchParams;
